#!/usr/bin/env python
# encoding: utf-8
"""
Copyright (c) 2015 University of Wisconsin SSEC. All rights reserved.
"""

import os
from datetime import timedelta

from cspp_fetch.datasets.dataset import Dataset

IMS4KM = Dataset(remote="ftp://sidads.colorado.edu/pub/DATASETS/NOAA/G02156/4km/%Y/ims%Y%j_4km_v1.3.lutasc.gz",
                       local="ims4km/snow_map_4km_%y%m%d.hdf", # name geocat expects
                       #local="ims4km/ims%Y%j_4km_v1.3.asc.gz",
                       period=timedelta(hours=24),
                       offset=timedelta(hours=0))

NIC_IMS4KM = Dataset(remote="https://jpssdb.ssec.wisc.edu/cspp_v_2_0/ancillary/%Y_%m_%d_%j/ims%Y%j_4km_v1.3.asc.gz",
                       local="%Y_%m_%d_%j/ims4km/ims%Y%j_4km_v1.3.asc.gz",
                       period=timedelta(hours=24),
                       offset=timedelta(hours=0))
